local level = {

	charge = 0,
	spawnSpeed = 1.5
}

function level:update(dt)
	if self.charge > self.spawnSpeed then
		self:doSpawn()
		self.charge = self.charge - self.spawnSpeed
	end
	self.charge = self.charge + dt
end

function level:doSpawn()
	local enemy = love.filesystem.load('enemies/enemy.lua')()
	enemy:setLocation( math.random( enemy.width/2, viewportWidth-enemy.width/2), -50 )
	table.insert( entities, enemy )

	local enemy = love.filesystem.load('enemies/scattershot.lua')()
	enemy:setLocation( math.random( enemy.width/2, viewportWidth-enemy.width/2), -50 )
	table.insert( entities, enemy )

end

function level:draw()
end

function level:dead()
	return false
end

function level:cleanup()
end

return level