local background = {
	image = love.graphics.newImage( 'images/levels/background.png' ),
	y = -2100
}


function background:update( dt )
	self.y = self.y + levelMoveSpeed*dt
end

function background:draw()
	drawQueue:add( 1,
		function()
			love.graphics.draw( self.image, 0, self.y )
		end
	)
end

function background:dead()
	return false
end

function background:cleanup()
end

return background 