local enemy = love.filesystem.load('enemies/baseenemy.lua')()

enemy.speed = 200
enemy:setImage( love.graphics.newImage( 'images/ships/enemy4.png') )
enemy:setCollisionBody( HC:addRectangle( -100, 0, enemy.width, enemy.height ) )
enemy:setMaxHealth( 25 )
enemy:setMovement(
	function( self, dt )
		self.y = self.y - self.speed * math.cos( self.direction ) * dt
		self.x = self.x - self.speed * math.sin( self.direction ) * dt		
	end 
)

function enemy:setLocation( x, y )
	self.x = x
	self.y = y
	if player then
		self.direction = math.atan2( self.x - player.x, self.y - player.y )	
	end 
end

function enemy:shoot()
end

return enemy