local enemy = love.filesystem.load('enemies/baseenemy.lua')()

enemy:setImage( love.graphics.newImage( 'images/ships/enemy.png') )
enemy:setCollisionBody( HC:addRectangle( -100, 0, enemy.width, enemy.height ) )
enemy:setMaxHealth( 50 )
enemy:setMovement( 
	function( self, dt ) 
		self.y = self.y + self.speed * dt
		self.x = self.x + 5 * dt 
	end 
)

return enemy