local enemy = love.filesystem.load('enemies/baseenemy.lua')()

enemy.speed = 125
enemy.swerve = 0
enemy:setImage( love.graphics.newImage( 'images/ships/enemy3.png') )
enemy:setCollisionBody( HC:addRectangle( -100, 0, enemy.width, enemy.height ) )
enemy:setMaxHealth( 25 )
enemy:setMovement(
	function( self, dt )
		self.swerve = self.swerve + dt * 2
		self.y = self.y + self.speed * dt
		self.x = self.x + math.cos( self.swerve ) * 4
	end 
)

function enemy:shoot()
	if player then
		self.projectiles:new( self.x, self.y, math.atan2( self.x - player.x, self.y - player.y ) )
	end
end

return enemy