local hud = {}

function hud:dead()
	return not player
end

function hud:cleanup()
end

function hud:draw()
	drawQueue:add( 13,
		function()
			love.graphics.rectangle( 'fill', viewportWidth, 0, 50, 600 )
		end
	)
	
	drawQueue:add( 14,
		function()
		
			local red = (1-player:getHealthPerc())*255
			local green = player:getHealthPerc() * 255
		
			love.graphics.setColor( red, green, 0, 255 )
			love.graphics.rectangle( 'fill', 755, (1-player:getHealthPerc())*600, 10, player:getHealthPerc()*600 )
			love.graphics.setColor( resetColor )
		end
	)
	
	drawQueue:add( 14,
		function()
			love.graphics.setColor( 0, 0, 0, 255 )
			love.graphics.print( player.score, 765, 20 )
			love.graphics.setColor( resetColor )
		end
	)
		
end

function hud:update(dt)

end

return hud